Overview | Package | Class | Deprecated | Index | Help
| Groovy 1.7.6
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.reflection
[Java] Class CachedClass

    java.lang.Object
      org.codehaus.groovy.reflection.CachedClass

    public class CachedClass
    extends Object

Authors:
  Alex.Tkachman

Nested Class Summary
`static class` | `CachedClass.CachedMethodComparatorByName`
`static class` | `CachedClass.CachedMethodComparatorWithString`

Field Summary
`static CachedClass[]` | `EMPTY_ARRAY`
`ClassInfo` | `classInfo`
`boolean` | `isArray`
`boolean` | `isInterface`
`boolean` | `isNumber`
`boolean` | `isPrimitive`
`int` | `modifiers`
`CachedMethod[]` | `mopMethods`

Constructor Summary
`CachedClass(Class klazz, ClassInfo classInfo)`

Method Summary
`void` | `addNewMopMethods(List arr)`
`Object` | `coerceArgument(Object argument)`
`void` | `doCast(BytecodeHelper helper)`
`CachedClass` | `getCachedClass()` compatibility method
`CachedClass` | `getCachedSuperClass()`
`CallSiteClassLoader` | `getCallSiteLoader()`
`CachedConstructor[]` | `getConstructors()`
`Set` | `getDeclaredInterfaces()`
`CachedField[]` | `getFields()`
`Collection` | `getHierarchy()`
`Set` | `getInterfaces()`
`CachedMethod[]` | `getMethods()`
`int` | `getModifiers()`
`String` | `getName()`
`MetaMethod[]` | `getNewMetaMethods()`
`int` | `getSuperClassDistance()`
`Class` | `getTheClass()`
`String` | `getTypeDescription()`
`int` | `hashCode()`
`boolean` | `isAssignableFrom(Class argument)`
`boolean` | `isDirectlyAssignable(Object argument)`
`boolean` | `isInterface()`
`boolean` | `isPrimitive()`
`boolean` | `isVoid()`
`CachedMethod` | `searchMethods(String name, CachedClass[] parameterTypes)`
`void` | `setNewMopMethods(List arr)`
`String` | `toString()`

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Field Detail

### EMPTY_ARRAY

    public static final CachedClass[] EMPTY_ARRAY

### classInfo

    public ClassInfo classInfo

### isArray

    public final boolean isArray

### isInterface

    public final boolean isInterface

### isNumber

    public final boolean isNumber

### isPrimitive

    public final boolean isPrimitive

### modifiers

    public final int modifiers

### mopMethods

    public CachedMethod[] mopMethods

Constructor Detail

### CachedClass

    public CachedClass(Class klazz, ClassInfo classInfo)

Method Detail

### addNewMopMethods

    public void addNewMopMethods(List arr)

### coerceArgument

    public Object coerceArgument(Object argument)

### doCast

    public void doCast(BytecodeHelper helper)

### getCachedClass

    public CachedClass getCachedClass()

  compatibility method
  Returns:
    this

### getCachedSuperClass

    public CachedClass getCachedSuperClass()

### getCallSiteLoader

    public CallSiteClassLoader getCallSiteLoader()

### getConstructors

    public CachedConstructor[] getConstructors()

### getDeclaredInterfaces

    public Set getDeclaredInterfaces()

### getFields

    public CachedField[] getFields()

### getHierarchy

    public Collection getHierarchy()

### getInterfaces

    public Set getInterfaces()

### getMethods

    public CachedMethod[] getMethods()

### getModifiers

    public int getModifiers()

### getName

    public String getName()

### getNewMetaMethods

    public MetaMethod[] getNewMetaMethods()

### getSuperClassDistance

    public int getSuperClassDistance()

### getTheClass

    public final Class getTheClass()

### getTypeDescription

    public String getTypeDescription()

### hashCode

    public int hashCode()

### isAssignableFrom

    public boolean isAssignableFrom(Class argument)

### isDirectlyAssignable

    public boolean isDirectlyAssignable(Object argument)

### isInterface

    public boolean isInterface()

### isPrimitive

    public boolean isPrimitive()

### isVoid

    public boolean isVoid()

### searchMethods

    public CachedMethod searchMethods(String name, CachedClass[] parameterTypes)

### setNewMopMethods

    public void setNewMopMethods(List arr)

### toString

    public String toString()

Copyright © 2003-2010 The Codehaus. All rights reserved.